//
// file :         cbpmmthread.h
//
// description :  thread class
//
// project :      TANGO Device Server
//
// $Author: giulio 
//
//
// copyleft :   Sincrotrone Trieste S.C.p.A.
//              Strada Statale 14 - km 163,5 in AREA Science Park
//              34012 Basovizza, Trieste ITALY
// 

#ifndef CBPMMTHREAD_H
#define CBPMMTHREAD_H

#include <omnithread.h>
#include <tango.h>
#include <CbpmMaster.h>

namespace CbpmMaster_ns
{

class cbpmmthread : public omni_thread
{
	
	private:
		CbpmMaster_ns::CbpmMaster *myacq;

	public:

		/* cbpmmthread::cbpmmthread(): initialize init loop */
		cbpmmthread(CbpmMaster_ns::CbpmMaster *s) {myacq = s;};
		/* cbpmmthread::~cbpmmthread(): object destructor */
		~cbpmmthread() {};
		
	protected:
		/* cbpmmthread::run():	start init loop */
		void run(void *);
		
};	/* end class cbpmmthread() */

}

#endif

/* EOF */
